.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH PSPRESENT 1 "January 24, 2005"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
pspresent \- fullscreen PostScript presentation tool
.SH SYNOPSIS
.B pspresent
.RI [ options ] " file.ps"
.SH DESCRIPTION
.B pspresent
is a tool that displays PostScript slides in fullscreen, for
giving presentations.  Navigation is simple, and the display is
double-buffered for seamless transitions between slides.
The actual rendering is done in the background using Ghostscript.
.SH OPTIONS
.TP
.B \-h
Show summary of options.
.TP
.B \-o
Do not override window manager.
.B pspresent
will attempt to disable decorations and resize itself to
the size of the screen, but will otherwise co-operate with
your window manager (which may mean that it is not truly
fullscreen).
.TP
.B \-s
Limit
.B pspresent
to only use the given head on a XINERAMA display.
.TP
.BI "\-O " Portrait | Landscape | Upside-Down | Seascape
Override orientation.
.TP
.B \-l
Loop mode; go to start of document when at end, and vice versa.
.TP
.BI "\-t"[delay]
Automatic slideshow mode. The
.I delay
is optional, the default value is 20 seconds.
.TP
.BI "\-T"file
Automatic slideshow mode. The
.I file
contains one integer value per line, corresponding to the delay
between the current slide and the next one. You must put a value for
each page of your document (count overlays, too). A value of 0 will
disable the timer for the current slide.
.SH COMMANDS
The following keys can be used from within
.B pspresent
to navigate the slides.
If Shift is depressed, then only the
last page of each series of overlays is shown (an overlay set is
identified as a series of pages with the same logical page number).
.TP
.B spacebar
.TP
.B page down
.TP
.B right arrow
.TP
.B down arrow
Move to the next slide.  If Shift is depressed, skips overlays.
.TP
.B backspace
.TP
.B page up
.TP
.B left arrow
.TP
.B up arrow
Move to the previous slide.  If Shift is depressed, skips overlays.
.TP
.B home
Warp to the start of the presentation.
.TP
.B end
Warp to the end of the preesentation.
.TP
.I number
.B enter
Warp to slide
.IR number .
.TP
.B escape
.TP
.B q
Quit the program.
.PP
The mouse buttons can also be used to navigate through a presentation.
.TP
.B left button
Move to the next slide.
.TP
.B middle button
Quit the program.
.TP
.B right button
Move to the previous slide.
.LP
If Shift is used together together with the navigation keys or buttons, then
only the last page of each series of overlays is shown (an overlay set is
identified as a series of pages with the same logical page number).
.SH AUTHOR
.B pspresent
was written by Matt Chapman <matthewc@cse.unsw.edu.au>

This manual page was originally written by Jamie Wilkinson <jaq@debian.org>.
